ClassesAuditingData (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration
Class ClassesAuditingData

    java.lang.Object
      org.hibernate.envers.configuration.ClassesAuditingData

    public class ClassesAuditingData

extends Object

A helper class holding auditing meta-data for all persistent classes.

Field Summary
`static EnversMessageLogger` | `LOG`

Constructor Summary
`ClassesAuditingData()`

Method Summary
`void` | `addClassAuditingData(PersistentClass pc, ClassAuditingData cad)` Stores information about auditing meta-data for the given class.
`Collection<Map.Entry<PersistentClass,ClassAuditingData>>` | `getAllClassAuditedData()`
`ClassAuditingData` | `getClassAuditingData(String entityName)`
`void` | `updateCalculatedFields()` After all meta-data is read, updates calculated fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final EnversMessageLogger LOG

Constructor Detail

### ClassesAuditingData

    public ClassesAuditingData()

Method Detail

### addClassAuditingData

    public void addClassAuditingData(PersistentClass pc,
                                     ClassAuditingData cad)

  Stores information about auditing meta-data for the given class.

  Parameters:
    `pc` - Persistent class.
    `cad` - Auditing meta-data for the given class.

### getAllClassAuditedData

    public Collection<Map.Entry<PersistentClass,ClassAuditingData>> getAllClassAuditedData()

  Returns:
    A collection of all auditing meta-data for persistent classes.

### getClassAuditingData

    public ClassAuditingData getClassAuditingData(String entityName)

  Parameters:
    `entityName` - Name of the entity.
  Returns:
    Auditing meta-data for the given entity.

### updateCalculatedFields

    public void updateCalculatedFields()

  After all meta-data is read, updates calculated fields. This includes:
  - setting `forceInsertable` to `true` for properties specified by `@AuditMappedBy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.